/****************************************************************************/
/*                                                                          */
/*  VolVis is a volume visualization system for investigating, manipulating */
/*  and rendering geometric and volumetric data.                            */
/*                                                                          */
/*  Copyright (C) 1993 by the Research Foundation of the State University   */
/*                            of New York                                   */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 1, or (at your option)     */
/*  any later version.                                                      */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               */
/*                                                                          */
/*  For information on VolVis, contact us at:                               */
/*                                                                          */
/*                volvis@cs.sunysb.edu                         (email)      */
/*                                                                          */
/*                Lisa Sobierajski & Ricardo Avila             (US Mail)    */
/*                Department of Computer Science                            */
/*                State University of New York at Stony Brook               */
/*                Stony Brook, New York  11794-4400                         */
/*                                                                          */
/****************************************************************************/




int	cube_table[256][4] =
{
{	0,	0,	0,	0	},
{	0,	0,	1,	0	},
{	1,	3,	1,	0	},
{	0,	0,	2,	0	},
{	2,	4,	1,	0	},
{	0,	0,	3,	0	},
{	2, 	4,	2,	0	},
{	3,	2,	5,	0	},
{	3,	2,	1,	0	},
{	8,	1,	2,	0	},
{	8,	1,	3,	0	},
{	2,	4,	5,	0	},
{	3,	2,	2,	0	},
{	16,	2,	5,	0	},
{	10,	4,	5,	0	},
{	3,	2,	8,	0	},
{	4,	3,	1,	0	},
{	4,	3,	2,	0	},
{	11,	2,	3,	0	},
{	5,	0,	5,	0	},
{	4,	3,	4,	0	},
{	4,	3,	6,	0	},
{	2,	4,	6,	0	},
{	5,	0,	14,	0	},
{	4,	3,	3,	0	},
{	13,	5,	5,	0	},
{	19,	5,	7,	0	},
{	1,	3,	9,	0	},
{	22,	0,	6,	0	},
{	14,	1,	11,	0	},
{	10,	4,	12,	0	},
{	11,	2,	5,	0	},
{	5,	0,	1,	0	},
{	9,	5,	3,	0	},
{	1,	3,	2,	0	},
{	4,	3,	5,	0	},
{	2,	4,	3,	0	},
{	8,	1,	7,	0	},
{	18,	1,	5,	0	},
{	5,	0,	9,	0	},
{	3,	2,	4,	0	},
{	8,	1,	6,	0	},
{	19,	5,	6,	0	},
{	3,	2,	11,	0	},
{	3,	2,	6,	0	},
{	16,	2,	12,	0	},
{	10,	4,	14,	0	},
{	15,	4,	5,	1	},
{	11,	2,	2,	0	},
{	1,	3,	5,	0	},
{	0,	0,	5,	0	},
{	0,	0,	8,	0	},
{	11,	2,	6,	0	},
{	1,	3,	12,	0	},
{	4,	3,	11,	0	},
{	22,	0,	5,	1	},
{	5,	0,	6,	0	},
{	1,	3,	14,	0	},
{	0,	0,	12,	0	},
{	23,	1,	5,	1	},
{	8,	1,	10,	0	},
{	7,	0,	6,	1	},
{	6,	2,	6,	1	},
{	7,	0,	2,	1	},
{	6,	2,	1,	0	},
{	0,	0,	4,	0	},
{	1,	3,	3,	0	},
{	0,	0,	6,	0	},
{	12,	5,	2,	0	},
{	17,	3,	6,	0	},
{	19,	5,	5,	0	},
{	10,	4,	11,	0	},
{	3,	2,	3,	0	},
{	10,	4,	6,	0	},
{	0,	0,	7,	0	},
{	2,	4,	12,	0	},
{	7,	0,	5,	0	},
{	7,	0,	14,	0	},
{	16,	2,	9,	0	},
{	6,	2,	5,	1	},
{	14,	1,	3,	0	},
{	9,	5,	6,	0	},
{	7,	0,	7,	0	},
{	5,	0,	12,	0	},
{	12,	5,	6,	0	},
{	2,	4,	10,	0	},
{	19,	5,	12,	0	},
{	23,	1,	6,	1	},
{	5,	0,	7,	0	},
{	13,	5,	12,	0	},
{	4,	3,	13,	0	},
{	1,	3,	7,	1	},
{	7,	0,	12,	0	},
{	1,	3,	6,	1	},
{	16,	2,	7,	1	},
{	5,	0,	3,	1	},
{	15,	4,	2,	0	},
{	18,	1,	6,	0	},
{	12,	5,	5,	0	},
{	4,	3,	14,	0	},
{	20,	1,	5,	0	},
{	20,	1,	12,	0	},
{	20,	1,	8,	0	},
{	9,	5,	5,	1	},
{	15,	4,	6,	0	},
{	0,	0,	10,	0	},
{	12,	5,	12,	0	},
{	14,	1,	6,	1	},
{	19,	5,	11,	0	},
{	21,	4,	6,	1	},
{	8,	1,	5,	1	},
{	14,	1,	2,	1	},
{	21,	4,	5,	0	},
{	0,	0,	11,	0	},
{	20,	1,	9,	0	},
{	17,	3,	5,	1	},
{	21,	4,	14,	0	},
{	13,	5,	6,	1	},
{	14,	1,	5,	1	},
{	13,	5,	2,	1	},
{	21,	4,	12,	0	},
{	20,	1,	6,	1	},
{	6,	2,	7,	1	},
{	12,	5,	3,	1	},
{	16,	2,	6,	1	},
{	1,	3,	4,	1	},
{	10,	4,	3,	1	},
{	7,	0,	1,	1	},
{	7,	0,	1,	0	},
{	10,	4,	3,	0	},
{	1,	3,	4,	0	},
{	16,	2,	6,	0	},
{	12,	5,	3,	0	},
{	6,	2,	7,	0	},
{	20,	1,	6,	0	},
{	3,	2,	12,	0	},
{	13,	5,	2,	0	},
{	14,	1,	5,	0	},
{	13,	5,	6,	0	},
{	2,	4,	14,	0	},
{	17,	3,	5,	0	},
{	9,	5,	9,	0	},
{	7,	0,	11,	0	},
{	21,	4,	5,	1	},
{	14,	1,	2,	0	},
{	8,	1,	5,	0	},
{	21,	4,	6,	0	},
{	1,	3,	11,	0	},
{	14,	1,	6,	0	},
{	8,	1,	12,	0	},
{	1,	3,	10,	0	},
{	15,	4,	6,	1	},
{	9,	5,	5,	0	},
{	8,	1,	8,	0	},
{	9,	5,	12,	0	},
{	20,	1,	5,	1	},
{	9,	5,	14,	0	},
{	12,	5,	5,	1	},
{	18,	1,	6,	1	},
{	15,	4,	2,	1	},
{	5,	0,	3,	0	},
{	16,	2,	7,	0	},
{	1,	3,	6,	0	},
{	4,	3,	12,	0	},
{	1,	3,	7,	0	},
{	0,	0,	13,	0	},
{	18,	1,	12,	0	},
{	5,	0,	7,	1	},
{	23,	1,	6,	0	},
{	14,	1,	12,	0	},
{	3,	2,	10,	0	},
{	12,	5,	6,	1	},
{	17,	3,	12,	0	},
{	7,	0,	7,	1	},
{	9,	5,	6,	1	},
{	14,	1,	3,	1	},
{	6,	2,	5,	0	},
{	0,	0,	9,	0	},
{	0,	0,	14,	0	},
{	7,	0,	5,	1	},
{	6,	2,	12,	0	},
{	0,	0,	7,	1	},
{	10,	4,	6,	1	},
{	3,	2,	3,	1	},
{	8,	1,	11,	0	},
{	19,	5,	5,	1	},
{	17,	3,	6,	1	},
{	12,	5,	2,	1	},
{	0,	0,	6,	1	},
{	1,	3,	3,	1	},
{	0,	0,	4,	1	},
{	6,	2,	1,	1	},
{	7,	0,	2,	0	},
{	6,	2,	6,	0	},
{	7,	0,	6,	0	},
{	20,	1,	10,	0	},
{	23,	1,	5,	0	},
{	23,	1,	12,	0	},
{	19,	5,	14,	0	},
{	5,	0,	6,	1	},
{	22,	0,	5,	0	},
{	17,	3,	11,	0	},
{	22,	0,	12,	0	},
{	11,	2,	6,	1	},
{	7,	0,	8,	0	},
{	0,	0,	5,	1	},
{	1,	3,	5,	1	},
{	11,	2,	2,	1	},
{	15,	4,	5,	0	},
{	8,	1,	14,	0	},
{	15,	4,	12,	0	},
{	3,	2,	6,	1	},
{	22,	0,	11,	0	},
{	19,	5,	6,	1	},
{	8,	1,	6,	1	},
{	3,	2,	4,	1	},
{	8,	1,	9,	0	},
{	18,	1,	5,	1	},
{	8,	1,	7,	1	},
{	2,	4,	3,	1	},
{	4,	3,	5,	1	},
{	1,	3,	2,	1	},
{	9,	5,	3,	1	},
{	5,	0,	1,	1	},
{	11,	2,	5,	0	},
{	11,	2,	12,	0	},
{	20,	1,	11,	0	},
{	22,	0,	6,	1	},
{	21,	4,	9,	0	},
{	19,	5,	7,	1	},
{	13,	5,	5,	1	},
{	4,	3,	3,	1	},
{	11,	2,	14,	0	},
{	2,	4,	6,	1	},
{	4,	3,	6,	1	},
{	4,	3,	4,	1	},
{	5,	0,	5,	1	},
{	11,	2,	3,	1	},
{	4,	3,	2,	1	},
{	4,	3,	1,	1	},
{	11,	2,	8,	0	},
{	10,	4,	5,	1	},
{	16,	2,	5,	1	},
{	3,	2,	2,	1	},
{	2,	4,	5,	1	},
{	8,	1,	3,	1	},
{	8,	1,	2,	1	},
{	3,	2,	1,	1	},
{	3,	2,	5,	1	},
{	2,	4,	2,	1	},
{	0,	0,	3,	1	},
{	2,	4,	1,	1	},
{	0,	0,	2,	1	},
{	1,	3,	1,	1	},
{	0,	0,	1,	1	},
{	0,	0,	0,	1	}
};

